Subject: Re: [PATCH net-next v3 00/12] Add TJA1120 support

From: Jakub Kicinski <[email-masked]>
Date: Tue, 27 Jun 2023 08:47:36 -0700

On Tue, 27 Jun 2023 10:18:41 +0300 Radu Pirea (NXP OSS) wrote:
> Hello everyone,
> 
> This patch series got bigger than I expected. It cleans up the
> next-c45-tja11xx driver and adds support for the TJA1120(1000BaseT1
> automotive phy).
> 
> Master/slave custom implementation was replaced with the generic
> implementation (genphy_c45_config_aneg/genphy_c45_read_status).
> 
> The TJA1120 and TJA1103 are a bit different when it comes to the PTP
> interface. The timestamp read procedure was changed, some addresses were
> changed and some bits were moved from one register to another. Adding
> TJA1120 support was tricky, and I tried not to duplicate the code. If
> something looks too hacky to you, I am open to suggestions.

## Form letter - net-next-closed

The merge window for v6.5 has begun and therefore net-next is closed
for new drivers, features, code refactoring and optimizations.
We are currently accepting bug fixes only.

Please repost when net-next reopens after July 10th.

RFC patches sent for review only are obviously welcome at any time.

See: https://www.kernel.org/doc/html/next/process/maintainer-netdev.html#development-cycle
-- 
pw-bot: defer